<?
/*
auteur hrz@free.fr
version 1.3.0 mise a jour 01/01/2005
 
usage : @AfficheCalendrier ([$Aff[,$NoMois[,$Annee[,$evenement,$Page]]]])
fournir obligatoirement les elements precedends , pas de $NoMois sans $Aff ect.. ect..
l'affichage du nom du mois est definit comme un lien interne de la page
les variables d'appel :
$Aff valeur 0 :commence l'affichage par Dimanche default 1
$NoMois : le N du mois  afficher default le mois actuel
$Annee : l'annee du mois a afficher default l'annee actuel
$evenement : un tableau de donnees pour les liens
$Pages : l'adresse de la page a appeller default la page actuel
les liens sont retournes sous la forme :
<A HREF="adresse?NoJour=JJ&Mois=MM&Annee=AAAA">
 
*/
// fonction principale
function AfficheCalendrier ($Aff,$Mois,$Annee,$evenement,$Page) {
// definitions complementaires
$NomDuMois=array("erreur","Janvier","Fevrier","Mars","Avril","Mai","Juin","Juillet","Aout","Septembre","Octobre","Novembre","Decembre");
$Week=array(
   array("d","l","m","M","j","v","s"), // debut d'affichage =dimanche
   array("l","m","M","j","v","s","d") // debut d'affichage =lundi
   );
// controle pour les valeurs par default
if (isset($Aff)) {}else{$Aff=1;} // debut semaine lundi par default
if ($Aff != "0") { $Aff =1; } // toute autre valeurs que 0 retourne 1
if (isset($Mois)) {}else{$Mois=date("n" );} // mois courrant par default
if (isset($Annee)){}else{$Annee=date("Y");} // annee courrante par default
if (isset($Page)) {}else{$Page=$_SERVER['PHP_SELF'];} // script d'appel par default
// ajustement des variables du script
$NoJour = -date("w",mktime(0,0,0,$Mois,1,$Annee)); // determine le decalage du 1er dans la semaine
if ($Aff == 0 ) {$NoJour +=1;}else{$NoJour +=2 ; } // pour l'ajuster suivant l'affichage
if ($NoJour >1 && $Aff ==1) { $NoJour -=7;} // on s'assure du debut de l'affichage a la 1ere ligne du tableau
$JourMax =date("t",mktime(0,0,0,$Mois,1,$Annee)); // nombre de jours dans le mois
$Liens = 0; // compteur du tableau des liens
$cejour = date("j n Y"); // la date actuelle
// affichage du debut de calendrier
 
print "
<A class=\"MoisAnnee\"NAME=\"$NomDuMois[$Mois]_$Annee\">&nbsp;$NomDuMois[$Mois] $Annee&nbsp;</A>
<TABLE class=\"Mois\">
<TR class=\"S\">\n";
for ( $w=0;$w<7;$w++){
  print " <TD class=\"e".$w."\">".strtoupper($Week[$Aff][$w])."</TD> \n";
}
print " </TR>\n";
// creation du calendrier
 
for ($semaine=1;$semaine <=6;$semaine++) { // 6 semaines par mois
  print " <TR class=\"S$semaine\">\n";
  for ($journee=1;$journee <=7;$journee++) { // 7 jours par semaine
    if ("$NoJour $Mois $Annee"==$cejour) { // est ce le jour actuel ?
    print " <TD bgcolor=\"#66FF6655\">"; // oui on utilise la surbrillance
    }else{
    print " <TD class=\"J".date("w",mktime(0,0,0,$Mois,$NoJour,$Annee))."\">";
    }
    if ($NoJour >0 && $NoJour <= $JourMax ){ // si le jour est valide a afficher
      if (isset($evenement[$Liens]) && $NoJour >0 && $NoJour == $evenement[$Liens]){
        // analyse de la ligne $evenement pour les liens
        $elements=explode(",",$evenement[$Liens]); // separe les infos
        if ($elements[1]=="") { // si url vide
            $elements[1]= $Page; // url par default
        } // le lien est pret pour l'affichage
        print "<A HREF=\"$elements[1]?NoJour=$NoJour&amp;Mois=$Mois&amp;Annee=$Annee \"title=\"$elements[2]\">$elements[0]</A>";
        $Liens++; // incrementer le tableau des liens
        }else{ // sinon juste la date
        print "$NoJour";
      }
    }else{
       print"&nbsp;"; // afficher un espace si jour non valide
    }
    $NoJour ++; // incremente le jour
  print "</TD>\n"; // on passe au jour suivant
  }
  if ($NoJour >= $JourMax){ $semaine ++; } // on echappe la derniere ligne si vide
  print " </TR>\n"; // semaine suivante
}
print "</TABLE>\n"; // le mois est affiche
}
/****************************************************************/
 
?>